/* 
 * 
 */
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.ArrayList;
import java.net.URL;


public class FileAccess extends HttpServlet 
{  BufferedReader Inf;
   int numWords=0;
   ArrayList<String> WordList;

   public void init(ServletConfig config) 
			throws ServletException
   {super.init(config);
    URL TheFile=null;
    try {	// Set up a URL to the file
      TheFile=new URL("http://acad.kutztown.edu/~spiegel/cis521/Examples/ServletReadsFile/4.txt");
    }
    catch (Exception e) {
      System.err.println("URL Setup failed...");
      e.printStackTrace();
    }
    InputStream s=null;
    try { // Hook up to the file on the server
      s=TheFile.openStream();
    }
    catch (Exception e)  {
      e.printStackTrace();
      System.err.println("!! Stream open failed !!");
    }
    BufferedReader Inf=null;
    try {
      Inf=new BufferedReader(new InputStreamReader(s));
    }
    catch (Exception e){
      e.printStackTrace();
    }
/*
    try { // Open up the file
       File Words=new File("4.txt");
       Inf=new BufferedReader(new FileReader(Words));
     }
     catch (Exception e)  {
       System.err.println("!! Stream open failed !!"+e);
       e.printStackTrace();
     }
*/
     // Read the file. First, how many elements?
     try {
       numWords=Integer.parseInt(Inf.readLine());
     }
     catch (java.io.IOException IO) {
       IO.printStackTrace();
     }
     WordList=new ArrayList<String>();
     // Read the words
     for (int idx=0;idx<numWords;idx++)
       try {
         WordList.add(Inf.readLine());
       }
       catch (java.io.IOException IO) {
         System.err.println("Failed on index "+idx);
         IO.printStackTrace();
       }

   }  //init

   public void doGet(HttpServletRequest req, HttpServletResponse res)
 					throws ServletException, IOException
   { 
     // first, set the "content type" header of the response
     res.setContentType("text/html");
     //Get the response's PrintWriter to return text to the client.
     PrintWriter toClient = res.getWriter(); 
     // Get the index of the word to furnish
     int idx=Integer.parseInt(req.getParameter("Index"));
     // A little JQuery to put a background on the link     
     toClient.println("<script src=\"http://code.jquery.com/jquery-latest.js\"></script>");

     toClient.println("<script>");
     toClient.println(" $(document).ready(function(){");
     toClient.println("   $(\"a\").css(\"background\", \"#b4b0da\")");
     toClient.println(" });");
     toClient.println("</script>");


     if (idx<numWords)
       toClient.println("The four-letter word at position "+idx+
						" is "+WordList.get(idx));
     else
       toClient.println(idx+" is out of the range of values.\nEnter a value less than "+numWords);
     toClient.println("<BR><a href=\"http://acad.kutztown.edu/~spiegel/cis521/ServletHTML/ServletReadsFile.html\">Another Search?</a>");
   }

} // class
